import {ChangeDetectorRef, Component} from "@angular/core";
import {ActivatedRoute, Router} from "@angular/router";
import {LayoutService} from "src/app/openaireLibrary/dashboard/sharedComponents/sidebar/layout.service";
import {FormBuilder} from "@angular/forms";
import {BrowseStakeholderBaseComponent} from "../browse-stakeholder-base.component";
import {IrishMonitorService} from "../irish-monitor.service";

@Component({
  selector: 'browse-stakeholder',
  templateUrl: 'browse-stakeholders.component.html'
})
export class BrowseStakeholdersComponent extends BrowseStakeholderBaseComponent {

  constructor(protected _route: ActivatedRoute,
              protected _router: Router,
              protected irishMonitorService: IrishMonitorService,
              protected layoutService: LayoutService,
              protected cdr: ChangeDetectorRef,
              protected fb: FormBuilder) {
    super();
  }
}
